#include <stdio.h>
#include <assert.h>
#include <queue>

using namespace std;

int N, K;

int sum = 0;    // current sum
priority_queue<int, vector<int>, greater<int>> q;

int round(int C) {
    // add card
    sum += C;
    q.push(C);
    
    // possibly, discard the smallest card
    if(q.size() > K) {
        sum -= q.top();
        q.pop();
    }
    
    return sum;
}


int main() {
    FILE *fr, *fw;
    int C, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(2 == fscanf(fr, "%d %d", &N, &K));
    for(i=0; i<N; i++) {
        assert(1 == fscanf(fr, "%d", &C));
        fprintf(fw, "%d ", round(C));
    }
    fprintf(fw, "\n");
    fclose(fr);
    fclose(fw);
    return 0;
}
