#include <stdio.h>
#include <assert.h>

int unescape(int N, char S[]) {
    const char* amp = "&amp;";
    int k = 0;
    for(int i = 0, j = 0; i < N; i++) {
        S[k++] = S[i];
        if(S[i] != amp[j]) j = S[i] == '&' ? 1 : 0;
        else if(++j >= 5) {
            k -= 4;
            j -= 4;
        }
    }
    S[k] = '\0';
    return k;
}


#define MAXN 1000010

char S[MAXN];

int main() {
    FILE *fr, *fw;
    int N, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(1 == fscanf(fr, "%d\n", &N));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%c", &S[i]));

    N = unescape(N, S);
    fprintf(fw, "%d\n", N);
    for(i=0; i<N; i++)
        fprintf(fw, "%c", S[i]);
    fclose(fr);
    fclose(fw);
    return 0;
}
