#include <bits/stdc++.h>
using namespace std;

int T, S, Q;

namespace std {

template <>
struct hash<vector<int>> {
    size_t operator() (const vector<int> &vc) const {
        return hash<string>() (string(vc.cbegin(), vc.cend()));
    }
};

}

int main() {
    assert(3 == scanf("%d%d%d", &T, &S, &Q));

    vector<vector<int>> tests(T, vector<int>(Q)), students(S, vector<int>(Q));

    for (int i=0; i<T; i++)
        for (int j=0; j<Q; j++)
            assert(1 == scanf("%d", &tests[i][j]));

    for (int i=0; i<S; i++)
        for (int j=0; j<Q; j++)
            assert(1 == scanf("%d", &students[i][j]));

    // the order is not important, so let's fix an order
    for(int i = 0; i < T; i++) sort(tests[i].begin(), tests[i].end());
    for(int i = 0; i < S; i++) sort(students[i].begin(), students[i].end());

    // let's use a multiset to obtain a compact representation
    unordered_multiset<vector<int>> t, s;
    for(int i = 0; i < T; i++) t.insert(tests[i]);

    // iterate on students, and count matching tests
    int count = 0;
    for(int i = 0; i < S; i++) {
        count += t.count(students[i]);
    }
    cout << count << endl;
}
